package com.ruoyi.web.yh.reportUserProd.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 员工产量对象 bst_report_user_prod
 *
 * @author ruoyi
 * @date 2024-11-02
 */
@Data
public class ReportUserProd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "总产量ID")
    @ApiModelProperty("总产量ID")
    private Long prodId;

    @Excel(name = "员工ID")
    @ApiModelProperty("员工ID")
    @NotNull(message = "员工不允许为空")
    private Long userId;

    @Excel(name = "产量")
    @ApiModelProperty("产量")
    @NotNull(message = "产量不允许为空")
    @Min(value = 0, message = "产量不允许小于0")
    private BigDecimal num;

}
